OpenTTD Source: FileToSaveLoad Struct Reference

OpenTTD Source 14.0-beta3

Public Member Functions | Data Fields
FileToSaveLoad Struct Reference

Deals with the type of the savegame, independent of extension. More...

`#include <saveload.h>`

## Public Member Functions
void | SetMode (FiosType ft)
| Set the mode and file type of the file to save or load based on the type of file entry at the file system. More...
void | SetMode (SaveLoadOperation fop, AbstractFileType aft, DetailedFileType dft)
| Set the mode and file type of the file to save or load. More...
void | Set (const FiosItem &item)
| Set the title of the file. More...

## Data Fields
SaveLoadOperation | file_op
| File operation to perform.
DetailedFileType | detail_ftype
| Concrete file type (PNG, BMP, old save, etc).
AbstractFileType | abstract_ftype
| Abstract type of file (scenario, heightmap, etc).
std::string | name
| Name of the file.
std::string | title
| Internal name of the game.

## Detailed Description

Deals with the type of the savegame, independent of extension.

Definition at line 390 of file saveload.h.

## Member Function Documentation

## ◆ Set()

void FileToSaveLoad::Set | ( | const FiosItem & | item | ) |

Set the title of the file.

Parameters

  title | Title of the file.

Definition at line 3226 of file saveload.cpp.

References name, SetMode(), and title.

## ◆ SetMode() [1/2]

void FileToSaveLoad::SetMode | ( | FiosType | ft | ) |

Set the mode and file type of the file to save or load based on the type of file entry at the file system.

Parameters

  ft | Type of file entry of the file system.

Definition at line 3197 of file saveload.cpp.

References GetAbstractFileType(), GetDetailedFileType(), and SLO_LOAD.

Referenced by Set().

## ◆ SetMode() [2/2]

void FileToSaveLoad::SetMode | ( | SaveLoadOperation | fop,
|  | AbstractFileType | aft,
|  | DetailedFileType | dft
| ) |  |

Set the mode and file type of the file to save or load.

Parameters

  fop | File operation being performed.
  aft | Abstract file type.
  dft | Detailed file type.

Definition at line 3208 of file saveload.cpp.

References abstract_ftype, detail_ftype, DFT_INVALID, file_op, FT_INVALID, FT_NONE, and SLO_INVALID.

The documentation for this struct was generated from the following files:

- src/saveload/saveload.h
- src/saveload/saveload.cpp